Bug 1342749 - Review Request: wildfly-core - The core runtime of WildFly
Summary: Review Request: wildfly-core - The core runtime of WildFly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: 24
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonny Heggheim
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1342100 1342799 1352300
Blocks: 1181081
TreeView+ depends on / blocked
 
Reported: 2016-06-04 17:36 UTC by gil cattaneo
Modified: 2016-09-12 13:19 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-12 13:19:12 UTC
hegjon: fedora-review+


Attachments (Terms of Use)

Description gil cattaneo 2016-06-04 17:36:57 UTC
Spec URL: https://gil.fedorapeople.org/wildfly-core.spec
SRPM URL: https://gil.fedorapeople.org/wildfly-core-2.1.0-1.fc23.src.rpm
Description:
This project provides the core runtime that is used by the
Wildfly application server. This includes:

* Modular class loading
* Unified management, including domain mode
* Basic deployment architecture
* CLI for management

Fedora Account System Username: gil

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=14383573

Comment 1 gil cattaneo 2016-06-07 08:06:45 UTC
Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=14403335

Comment 2 Jonny Heggheim 2016-07-01 21:56:33 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== Added by me =====
[!]: Javadoc package should not include shell script
     /usr/share/javadoc/wildfly-core/javadoc.sh is included in wildfly-core-javadoc

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[-]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "BSD (2 clause)", "LGPL (v2.1 or later)",
     "Unknown or generated", "*No copyright* Apache (v2.0)". 269 files have
     unknown license. Detailed output of licensecheck in /tmp/1342749
     -wildfly-core/licensecheck.txt
[-]: License file installed when any subpackage combination is installed.
[x]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
[?]: Package contains no bundled libraries without FPC exception.
     Template is outdated, bundling does not require FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
wildfly-core requires mvn(junit:junit)
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Java:
[x]: Bundled jar/class files should be removed before build
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It
     is pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)

Maven:
[x]: If package contains pom.xml files install it (including metadata) even
     when building with ant
[x]: POM files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DO NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use .mfiles file list instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in wildfly-
     core-javadoc
[!]: Package functions as described.
Description should be clearer, it seems to include a CLI for management, but there are
no provided scripts to lunch the CLI.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
[?]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: wildfly-core-2.1.0-1.fc25.noarch.rpm
          wildfly-core-javadoc-2.1.0-1.fc25.noarch.rpm
          wildfly-core-2.1.0-1.fc25.src.rpm
wildfly-core.noarch: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
wildfly-core.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
wildfly-core-javadoc.noarch: E: script-without-shebang /usr/share/javadoc/wildfly-core/javadoc.sh
wildfly-core.src: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
wildfly-core.src: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
wildfly-core.src: W: strange-permission wildfly-core-create-tarball.sh 600
wildfly-core.src: W: invalid-url Source0: wildfly-core-2.1.0.Final-clean.tar.xz
3 packages and 0 specfiles checked; 1 errors, 6 warnings.




Rpmlint (installed packages)
----------------------------
wildfly-core.noarch: W: spelling-error Summary(en_US) runtime -> run time, run-time, rudiment
wildfly-core.noarch: W: spelling-error %description -l en_US runtime -> run time, run-time, rudiment
wildfly-core-javadoc.noarch: E: script-without-shebang /usr/share/javadoc/wildfly-core/javadoc.sh
2 packages and 0 specfiles checked; 1 errors, 2 warnings.



Requires
--------
wildfly-core (rpmlib, GLIBC filtered):
    java-headless
    javapackages-tools
    mvn(io.undertow:undertow-core)
    mvn(junit:junit)
    mvn(org.apache.maven:maven-aether-provider)
    mvn(org.codehaus.plexus:plexus-utils)
    mvn(org.codehaus.woodstox:stax2-api)
    mvn(org.codehaus.woodstox:woodstox-core-asl)
    mvn(org.eclipse.aether:aether-api)
    mvn(org.eclipse.aether:aether-connector-basic)
    mvn(org.eclipse.aether:aether-spi)
    mvn(org.eclipse.aether:aether-transport-file)
    mvn(org.eclipse.aether:aether-transport-http)
    mvn(org.eclipse.aether:aether-util)
    mvn(org.fusesource.jansi:jansi)
    mvn(org.jboss.aesh:aesh)
    mvn(org.jboss.classfilewriter:jboss-classfilewriter)
    mvn(org.jboss.invocation:jboss-invocation)
    mvn(org.jboss.logging:jboss-logging)
    mvn(org.jboss.logging:jul-to-slf4j-stub)
    mvn(org.jboss.logmanager:jboss-logmanager)
    mvn(org.jboss.logmanager:log4j-jboss-logmanager)
    mvn(org.jboss.marshalling:jboss-marshalling)
    mvn(org.jboss.marshalling:jboss-marshalling-river)
    mvn(org.jboss.modules:jboss-modules)
    mvn(org.jboss.msc:jboss-msc)
    mvn(org.jboss.remoting:jboss-remoting)
    mvn(org.jboss.remotingjmx:remoting-jmx)
    mvn(org.jboss.sasl:jboss-sasl)
    mvn(org.jboss.slf4j:slf4j-jboss-logmanager)
    mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.2_spec)
    mvn(org.jboss.stdio:jboss-stdio)
    mvn(org.jboss.threads:jboss-threads)
    mvn(org.jboss.xnio:xnio-api)
    mvn(org.jboss.xnio:xnio-nio)
    mvn(org.jboss:jandex)
    mvn(org.jboss:jboss-dmr)
    mvn(org.jboss:jboss-vfs)
    mvn(org.jboss:staxmapper)
    mvn(org.picketbox:picketbox)
    mvn(org.slf4j:slf4j-api)
    mvn(org.wildfly.common:wildfly-common)
    mvn(org.wildfly.security:wildfly-elytron)
    mvn(sun.jdk:jconsole)
    mvn(xerces:xercesImpl)
    mvn(xml-resolver:xml-resolver)

wildfly-core-javadoc (rpmlib, GLIBC filtered):
    javapackages-tools



Provides
--------
wildfly-core:
    bundled(apache-common-codec)
    mvn(org.wildfly.core:wildfly-cli)
    mvn(org.wildfly.core:wildfly-cli:pom:)
    mvn(org.wildfly.core:wildfly-controller)
    mvn(org.wildfly.core:wildfly-controller-client)
    mvn(org.wildfly.core:wildfly-controller-client:pom:)
    mvn(org.wildfly.core:wildfly-controller:pom:)
    mvn(org.wildfly.core:wildfly-core-build:pom:)
    mvn(org.wildfly.core:wildfly-core-build:zip:)
    mvn(org.wildfly.core:wildfly-core-dist)
    mvn(org.wildfly.core:wildfly-core-dist:pom:)
    mvn(org.wildfly.core:wildfly-core-feature-pack:pom:)
    mvn(org.wildfly.core:wildfly-core-feature-pack:zip:)
    mvn(org.wildfly.core:wildfly-core-parent:pom:)
    mvn(org.wildfly.core:wildfly-core-security)
    mvn(org.wildfly.core:wildfly-core-security-api)
    mvn(org.wildfly.core:wildfly-core-security-api:pom:)
    mvn(org.wildfly.core:wildfly-core-security-parent:pom:)
    mvn(org.wildfly.core:wildfly-core-security:pom:)
    mvn(org.wildfly.core:wildfly-deployment-repository)
    mvn(org.wildfly.core:wildfly-deployment-repository:pom:)
    mvn(org.wildfly.core:wildfly-deployment-scanner)
    mvn(org.wildfly.core:wildfly-deployment-scanner:pom:)
    mvn(org.wildfly.core:wildfly-domain-http-error-context)
    mvn(org.wildfly.core:wildfly-domain-http-error-context:pom:)
    mvn(org.wildfly.core:wildfly-domain-http-interface)
    mvn(org.wildfly.core:wildfly-domain-http-interface:pom:)
    mvn(org.wildfly.core:wildfly-domain-http:pom:)
    mvn(org.wildfly.core:wildfly-domain-management)
    mvn(org.wildfly.core:wildfly-domain-management:pom:)
    mvn(org.wildfly.core:wildfly-embedded)
    mvn(org.wildfly.core:wildfly-embedded:pom:)
    mvn(org.wildfly.core:wildfly-host-controller)
    mvn(org.wildfly.core:wildfly-host-controller:pom:)
    mvn(org.wildfly.core:wildfly-io)
    mvn(org.wildfly.core:wildfly-io-bom:pom:)
    mvn(org.wildfly.core:wildfly-io:pom:)
    mvn(org.wildfly.core:wildfly-jmx)
    mvn(org.wildfly.core:wildfly-jmx:pom:)
    mvn(org.wildfly.core:wildfly-launcher)
    mvn(org.wildfly.core:wildfly-launcher:pom:)
    mvn(org.wildfly.core:wildfly-logging)
    mvn(org.wildfly.core:wildfly-logging:pom:)
    mvn(org.wildfly.core:wildfly-management-client-content)
    mvn(org.wildfly.core:wildfly-management-client-content:pom:)
    mvn(org.wildfly.core:wildfly-model-test)
    mvn(org.wildfly.core:wildfly-model-test:pom:)
    mvn(org.wildfly.core:wildfly-network)
    mvn(org.wildfly.core:wildfly-network:pom:)
    mvn(org.wildfly.core:wildfly-patching)
    mvn(org.wildfly.core:wildfly-patching:pom:)
    mvn(org.wildfly.core:wildfly-platform-mbean)
    mvn(org.wildfly.core:wildfly-platform-mbean:pom:)
    mvn(org.wildfly.core:wildfly-process-controller)
    mvn(org.wildfly.core:wildfly-process-controller:pom:)
    mvn(org.wildfly.core:wildfly-protocol)
    mvn(org.wildfly.core:wildfly-protocol:pom:)
    mvn(org.wildfly.core:wildfly-remoting)
    mvn(org.wildfly.core:wildfly-remoting-parent:pom:)
    mvn(org.wildfly.core:wildfly-remoting:pom:)
    mvn(org.wildfly.core:wildfly-request-controller)
    mvn(org.wildfly.core:wildfly-request-controller:pom:)
    mvn(org.wildfly.core:wildfly-self-contained)
    mvn(org.wildfly.core:wildfly-self-contained:pom:)
    mvn(org.wildfly.core:wildfly-server)
    mvn(org.wildfly.core:wildfly-server:pom:)
    mvn(org.wildfly.core:wildfly-threads)
    mvn(org.wildfly.core:wildfly-threads:pom:)
    mvn(org.wildfly.core:wildfly-version)
    mvn(org.wildfly.core:wildfly-version:pom:)
    wildfly-core

wildfly-core-javadoc:
    wildfly-core-javadoc



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1342749
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, Java
Disabled plugins: C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 3 Jonny Heggheim 2016-07-01 22:03:12 UTC
Issues:

[!]: Javadoc package should not include shell script
     /usr/share/javadoc/wildfly-core/javadoc.sh is included in wildfly-core-javadoc

[!]: Requires correct, justified where necessary.
wildfly-core requires mvn(junit:junit)

[!]: Package functions as described.
Description should be clearer, it seems to include a CLI for management, but there are
no provided scripts to lunch the CLI.

Comment 4 Jonny Heggheim 2016-07-01 22:03:31 UTC
There is dependency on a package that is not included in Fedora:

# https://gil.fedorapeople.org/syslog4j-0.9.46-1.fc23.src.rpm
BuildRequires: mvn(org.syslog4j:syslog4j)

Comment 5 gil cattaneo 2016-07-01 22:35:16 UTC
(In reply to Jonny Heggheim from comment #4)
> There is dependency on a package that is not included in Fedora:
> 
> # https://gil.fedorapeople.org/syslog4j-0.9.46-1.fc23.src.rpm
> BuildRequires: mvn(org.syslog4j:syslog4j)
yes but the road is still too long for enable test suite ...

"... org.wildfly.core:wildfly-controller <-> org.wildfly.legacy.test:wildfly-legacy-spi dependency cycle"

... for now is skipped

(In reply to Jonny Heggheim from comment #3)
> Issues:
> 
> [!]: Javadoc package should not include shell script
>      /usr/share/javadoc/wildfly-core/javadoc.sh is included in
> wildfly-core-javadoc
> 
> [!]: Requires correct, justified where necessary.
> wildfly-core requires mvn(junit:junit)

used by wildfly-model-test module and for me in not necessary add extra comments

> [!]: Package functions as described.
> Description should be clearer, it seems to include a CLI for management, but
> there are
> no provided scripts to lunch the CLI.
wildfly-cli is used as library by wildfly 10+ no needed to add extra (useless) files

Comment 6 gil cattaneo 2016-07-01 22:43:10 UTC
(In reply to Jonny Heggheim from comment #3)
> Issues:
> 
> [!]: Javadoc package should not include shell script
>      /usr/share/javadoc/wildfly-core/javadoc.sh is included in
> wildfly-core-javadoc

Removed

Spec URL: https://gil.fedorapeople.org/wildfly-core.spec
SRPM URL: https://gil.fedorapeople.org/wildfly-core-2.1.0-1.fc23.src.rpm

Comment 7 gil cattaneo 2016-07-02 11:37:23 UTC
Thanks for the review!

create new SCM requests:
https://admin.fedoraproject.org/pkgdb/package/requests/6214
https://admin.fedoraproject.org/pkgdb/package/requests/6215

Comment 9 Gwyn Ciesla 2016-07-05 16:12:35 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/wildfly-core

Comment 10 Fedora Update System 2016-08-10 09:25:39 UTC
wildfly-core-2.1.0-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-758328f6f8

Comment 11 Fedora Update System 2016-08-11 03:24:39 UTC
wildfly-core-2.1.0-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-758328f6f8

Comment 12 Fedora Update System 2016-08-18 21:19:49 UTC
wildfly-core-2.1.0-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-09-07 17:03:16 UTC
wildfly-core-2.2.0-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b7d3556665

Comment 14 Fedora Update System 2016-09-09 06:26:29 UTC
wildfly-core-2.2.0-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b7d3556665

Comment 15 Fedora Update System 2016-09-12 13:19:09 UTC
wildfly-core-2.2.0-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.